Modifies the PushConfig for a specified subscription.
This may be used to change a push subscription to a pull one (signified by an empty PushConfig) or vice versa, or change the endpoint URL and other attributes of a push subscription. Messages will accumulate for delivery continuously through the call regardless of changes to the PushConfig.
HTTP request
POST https://pubsub.googleapis.com/v1/{subscription}:modifyPushConfig Path parameters
| Parameters | |
|---|---|
subscription |
Required. The name of the subscription. Format is |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"pushConfig": {
object ( |
| Fields | |
|---|---|
pushConfig |
Required. The push configuration for future deliveries. An empty |
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/pubsubhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.